﻿@using Microsoft.AspNetCore.Identity

@inject SignInManager<IdentityUser> SignInManager
@inject UserManager<IdentityUser> UserManager

<ul class="navbar-nav ml-auto">
    @if (SignInManager.IsSignedIn(User))
    {
        @if (User.IsInRole("Administrador"))
        {
            <li class="nav-item">
                <a class="nav-link text-white" asp-area="" asp-controller="Cuentas" asp-action="RegistroAdministrador"><strong>Tu rol es: Administrador ->> Registro Administrador</strong></a>
            </li>
        }
        else
        {
            <li>
                <p>Tu rol es: Registrado</p>
            </li>
        }

        <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                Mi cuenta
            </a>
            <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                <li class="nav-item">
                    <a class="nav-link text-dark" href="">Hola, @UserManager.GetUserName(User)</a>
                </li>

                <li class="nav-item">
                    <a class="nav-link text-dark" asp-area="" asp-controller="Usuarios" asp-action="EditarPerfil" asp-route-id="@UserManager.GetUserId(User)">Editar perfil</a>
                </li>

                <li><hr class="dropdown-divider"></li>
                
                <li class="nav-item">
                    <a class="nav-link text-dark" asp-area="" asp-controller="Usuarios" asp-action="CambiarPassword">Cambiar contraseña</a>
                </li>
            </ul>
        </li>

        

        <li class="nav-item">
            <form id="LogoutForm" method="POST" class="form-inline" asp-controller="Cuentas" asp-action="SalirAplicacion">
                <button type="submit" class="btn nav-link">Salir</button>
            </form>
        </li>
    }
    else
    {
        <li class="nav-item">
            <a class="nav-link text-white" asp-area="" asp-controller="Cuentas" asp-action="Registro">Registro</a>
        </li>

        <li class="nav-item">
            <a class="nav-link text-white" asp-area="" asp-controller="Cuentas" asp-action="Acceso">Acceder</a>
        </li>
    }
</ul>